/**
   A simple generic Bag abstract data type.

   See pages 114 - 122 and 296 - 299 of the textbook.

   Here is what the Bag interface adds to the Container interface.
      public boolean remove(T element);
*/

public abstract class Bag<T> extends Container<T>
{
   protected Bag()
   {
       super("((", "))");
   }

   public abstract boolean remove(T element);

}//Bag
