/**
   This generic doubly linked Node class can be used
   by a "doubly linked" implementation of an abstract
   data type.

   See page 240 of the textbook.
*/
class Node2<T>
{
   public T        data;
   public Node2<T> next;
   public Node2<T> prev;

   public Node2(T data, Node2<T> next, Node2<T> prev)
   {
      this.data = data;
      this.next = next;
      this.prev = prev;
   }
}//Node2
