/**
   A simple generic Stack abstract data type.

   See pages 316 - 318 of the textbook.

   Here is what the Stack interface adds to the Container interface.
      public void push(T element);
      public T pop();
      public T peek();
*/

public abstract class Stack<T> extends Container<T>
{
   protected Stack()
   {
       super("[<>", "]");
   }

   public abstract void push(T element);
   public abstract T pop();
   public abstract T peek();

}//Stack
